
window.addEventListener('load', function() {
	
	function theNotification() {
		
	   	var n = new Notification("I'm a notification!",  {
	   		icon: 'http://www.inserthtml.com/demos/javascript/notification/icon.jpg', 
	   		tag: 'note', 
	   		body: 'Notification content...'
	    });
	}
	
	function timeOut() {
		
		setTimeout(function() {
			
			var a  = document.querySelectorAll('[data-fade]');
			
			for(s = 0; s < a.length; ++s) {
			
				a[s].remove();
				
			}
			
			running = false;
			
		}, 300);
		
	}
	
	var running = false;
	
	function fallbackNote() {
		
		if(running === false) {
			running = true;
			
			var attr = document.createAttribute('data-fade');
			var at = document.createAttribute('data-fade');
			var not = document.querySelectorAll('.notification');
			
			if(not !== null) {
				for (i = 0; i < not.length; i++) {
					if(!not[i].hasAttribute('data-fade')) {
						not[i].setAttributeNode(attr);
					}
				}
			}
			
			var ne = document.createElement('div');
					
			ne.className = 'notification'; 
			
			ne.innerHTML = '<h2>I\'m a notification! </h2><div>Notification Content</div><div class="close">&#x2421;</div>';
			
			var org = document.querySelector('#container');
			
			document.body.insertBefore(ne, org);
			
			setTimeout(function() {
				var a  = document.querySelectorAll('.notification');
				
				for(s = 0; s < a.length; ++s) {
				
					a[s].style.top = '60px';
					
					a[s].onclick = function(e) {
						
						if(!this.hasAttribute('data-fade')) {	
							this.setAttributeNode(at);
							timeOut();
						}
					}
				}
				
			}, 20);
		
			timeOut();
		
		}
	}
	
	// Query selector
	var button = document.querySelector('#button');
	
	// When the button is clicked
	button.addEventListener('click', function () {
	
		// If notifications are granted show the notification
		if (Notification && Notification.permission === "granted") {
			theNotification();
		}
	
		// If they are not denied (i.e. default)
		else if (Notification && Notification.permission !== "denied") {
			
			// Request permission
			Notification.requestPermission(function (status) {
				
				// Change based on user's decision
				if (Notification.permission !== status) {
					Notification.permission = status;
				}
				
				// If it's granted show the notification
				if (status === "granted") {
					theNotification();
				}
		
				else {
					fallbackNote();
				}
				
			});
		
		}
	
		else {
			fallbackNote();
		}
		
	});
	
	
	// Query selector
	var button2 = document.querySelector('#button2');
	
	button2.addEventListener('click', function() {
			
		fallbackNote();	
			
	});
	
	
});
